LCDproc development and user support list

Text archives Help


[Lcdproc] lcdproc 0.5.8 release candidate 1


Chronological Thread 
  • From: devel at antoneliasson.se (Anton Eliasson)
  • Subject: [Lcdproc] lcdproc 0.5.8 release candidate 1
  • Date: Mon, 9 Jan 2017 11:51:49 +0100

On 2017-01-04 18:09, Harald Geyer wrote:
> Hi!
>
> I wrote:
>> Unfortunately I have some trouble with uploading the properly autoconf
>> processed tar ball to github. I think I have the necessary permissions
>> (creating a draft for the release worked fine), but when uploading the
>> file it says: Something went really wrong, and we can’t process that
>> file. Try another file.
>>
>> I hope to sort this out till the official release. For now I have
>> uploaded the release tarball to my own server. See below.
> Ok, got that working now. You can download the lcdproc-0.5.8rc1.tar.gz
> now from github.
>
> Unfortunately it seems there is no way to tell github not to provide
> archives of the git snapshot of the release, so there is a confusing
> number of files for download, but only lcdproc-0.5.8rc1.tar.gz is the
> real release ...
>
> If anybody has a good idea what to do about this, help would be much
> appreciated.
>
> Harald
>
Tested (with --enable-drivers=all) on Raspbian (nov 2016 edition). I ran
LCDd successfully with the hd44780 gpio driver. The other drivers I only
compile-tested. Configure warnings I was not able to get rid of:

checking whether build environment is sane... yes
/home/pi/src/lcdproc-0.5.8/missing: Unknown `--is-lightweight' option
Try `/home/pi/src/lcdproc-0.5.8/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing

checking if freetype support has been enabled... yes
configure: WARNING: freetype does not seem to be installed

checking for glcdproclib/glcdprocdriver.h... no
configure: WARNING: The glcdlib driver needs glcdproclib/glcdprocdriver.h

configure: WARNING: The mdm166a driver needs the hid library
checking libmx5000/mx5000.h usability... no
checking libmx5000/mx5000.h presence... no
checking for libmx5000/mx5000.h... no
configure: WARNING: The mx5000 driver needs libmx5000/mx5000.h

checking for vga.h... no
configure: WARNING: The svga driver needs vga.h

Consequently, those drivers were disabled by configure. Casually looking
over configure.ac it seems libfreetype2 is required, but my distro only
has libfreetype6 packaged. Guess those parts haven't been used in a long
time. I have no idea where the other requested files should come from.


--
Best Regards,
Anton Eliasson





Archive powered by MHonArc 2.6.18.

Top of page